Name:           cudd
Version:        3.0.0
Release:        9%{?dist}
Summary:        CU Decision Diagram Package
License:        BSD
URL:            http://vlsi.colorado.edu/~fabio/CUDD/html/
Source0:        ftp://vlsi.Colorado.EDU/pub/%{name}-%{version}.tar.gz
# This patch was sent upstream in September 2005.
# Don't ignore the return values of certain functions
Patch0:         cudd-3.0.0-retval.patch

BuildRequires:  doxygen-latex
BuildRequires:  gcc-c++
BuildRequires:  ghostscript

%description
CUDD is a package for the manipulation of Binary Decision Diagrams
(BDDs), Algebraic Decision Diagrams (ADDs) and Zero-suppressed
Binary Decision Diagrams (ZDDs).


%package        devel
Summary:        Header files and man pages for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       bundled(jquery)


%description    devel
Development headers and man pages for %{name}.


%prep
%setup -q
%patch0

# Fix two doc files with DOS line endings
for f in dddmp/README.*; do
  sed 's/\r//' $f > ${f}.fixed
  touch -r $f ${f}.fixed
  mv -f ${f}.fixed $f
done


%build
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure --disable-static --enable-shared --enable-dddmp --enable-obj \
  --with-system-qsort
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la

# Move the headers into a private directory
mkdir -p %{buildroot}%{_includedir}/cudd
mv %{buildroot}%{_includedir}/*.{h,hh} %{buildroot}%{_includedir}/cudd

# Package additional headers needed by polybori
cp -p config.h cudd/cuddInt.h epd/epd.h mtr/mtr.h st/st.h util/util.h \
   %{buildroot}%{_includedir}/cudd


%ldconfig_scriptlets


%files
%doc README
%license LICENSE
%{_libdir}/libcudd*.so.*


%files devel
%doc RELEASE.NOTES dddmp/README.dddmp html
%{_includedir}/%{name}/
%{_libdir}/libcudd.so


%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Jerry James <loganjerry@gmail.com> - 3.0.0-1
- Update to 3.0.0

* Thu Oct  1 2015 Jerry James <loganjerry@gmail.com> - 2.5.1-1
- Update to 2.5.1
- Link with RPM_LD_FLAGS

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.5.0-8
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 12 2015 Jerry James <loganjerrry@gmail.com> - 2.5.0-7
- Use license macro

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Jerry James <loganjerry@gmail.com> - 2.5.0-1
- Update to 2.5.0

* Sat Jan  7 2012 Jerry James <loganjerry@gmail.com> - 2.4.2-5
- Rebuild for GCC 4.7
- Minor spec file cleanups

* Fri Mar 11 2011 Jerry James <loganjerry@gmail.com> - 2.4.2-4
- Rebuild for F15
- Remove BuildRoot tag
- Minor cleanups to fix rpmlint warnings

* Wed Jul 7 2010 Conrad Meyer <konrad@tylerc.org> - 2.4.2-3
- Add license to -static subpackage as per new licensing guidelines.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 12 2009 Jerry James <loganjerry@gmail.com> - 2.4.2-1
- Update to 2.4.2
- Drop upstreamed cudd-2.4.1-strcat.patch
- Merge Mamoru's patch into cudd-2.4.2-sharedlib.patch

* Sun Mar 29 2009 Conrad Meyer <konrad@tylerc.org> - 2.4.1-6
- Use Mamoru's patch (thanks!).

* Sat Mar 28 2009 Conrad Meyer <konrad@tylerc.org> - 2.4.1-5
- Add patch to build obj/ directory. (Resolves missing symbol
  problems.)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Jerry James <loganjerry@gmail.com> - 2.4.1-3
- Add patches to address various minor build infelicities
- Build both shared and static libraries
- Install the test binary, nanotrav, and its man page
- Gather documentation from all of the subdirectories

* Sun Jan 4 2009 Conrad Meyer <konrad@tylerc.org> - 2.4.1-2
- Add LICENSE, cudd/doc to docs.

* Fri Dec 12 2008 Conrad Meyer <konrad@tylerc.org> - 2.4.1-1
- Initial package.
